package eu.etaxonomy.taxeditor.io;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class InputWizard2 extends WizardPage {
	private Text text;
	private static final Logger logger = Logger.getLogger(InputWizard2.class);

	/**
	 * Create the wizard
	 */
	public InputWizard2() {
		super("wizardPage");
		setTitle("Input data from file");
	}

	/**
	 * Create contents of the wizard
	 * @param parent
	 */
	public void createControl(Composite parent) {
		Composite container = new Composite(parent, SWT.NULL);
		final GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 2;
		container.setLayout(gridLayout);
		//
		setControl(container);

		final Composite composite = new Composite(container, SWT.NONE);
		composite.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));
		composite.setLayout(new GridLayout());

		final Label chooseFileFormatLabel = new Label(composite, SWT.NONE);
		final GridData gd_chooseFileFormatLabel = new GridData(SWT.LEFT, SWT.CENTER, true, false);
		chooseFileFormatLabel.setLayoutData(gd_chooseFileFormatLabel);
		chooseFileFormatLabel.setText("Choose file format:");

		final Button tcsButton = new Button(composite, SWT.RADIO);
		tcsButton.setText("TCS");

		final Button abcdButton = new Button(composite, SWT.RADIO);
		abcdButton.setText("ABCD");
		new Label(container, SWT.NONE);

		final Composite composite_1 = new Composite(container, SWT.NONE);
		composite_1.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
		composite_1.setLayout(new GridLayout());

		final Label chooseFileLabel = new Label(composite_1, SWT.NONE);
		final GridData gd_chooseFileLabel = new GridData(SWT.LEFT, SWT.CENTER, true, false);
		chooseFileLabel.setLayoutData(gd_chooseFileLabel);
		chooseFileLabel.setText("Choose file:");
		new Label(container, SWT.NONE);

		text = new Text(container, SWT.BORDER);
		text.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));

		final Button browseButton = new Button(container, SWT.NONE);
		browseButton.setText("Browse ...");
	}
}
